Show / Hide Table of Contents

# StateExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class StateExtensions

##### Inheritance

System.Object → StateExtensions

### Members

#### Methods

Name | Description
--- | ---
ToReadOnlyAsyncReactiveProperty<T>(IUniTaskAsyncEnumerable<T>, T, CancellationToken) |
ToReadOnlyAsyncReactiveProperty<T>(IUniTaskAsyncEnumerable<T>, CancellationToken) |

### Methods

#### ToReadOnlyAsyncReactiveProperty<T>(IUniTaskAsyncEnumerable<T>, T, CancellationToken)

    public static ReadOnlyAsyncReactiveProperty<T> ToReadOnlyAsyncReactiveProperty<T>(this IUniTaskAsyncEnumerable<T> source, T initialValue, CancellationToken cancellationToken)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`initialValue` T
`cancellationToken` CancellationToken

##### Returns

ReadOnlyAsyncReactiveProperty<T>

##### Type Parameters

`T`

#### ToReadOnlyAsyncReactiveProperty<T>(IUniTaskAsyncEnumerable<T>, CancellationToken)

    public static ReadOnlyAsyncReactiveProperty<T> ToReadOnlyAsyncReactiveProperty<T>(this IUniTaskAsyncEnumerable<T> source, CancellationToken cancellationToken)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`cancellationToken` CancellationToken

##### Returns

ReadOnlyAsyncReactiveProperty<T>

##### Type Parameters

`T`